This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 158525 - ModuleInstall.close() not called if Core module is not enabled
Summary: ModuleInstall.close() not called if Core module is not enabled
Status: RESOLVED FIXED
Alias: None
Product: platform
Classification: Unclassified
Component: Module System (show other bugs)
Version: 6.x
Hardware: All All
: P3 blocker (vote)
Assignee: Jesse Glick
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-13 14:01 UTC by aldobrucale
Modified: 2009-02-19 22:53 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments
Demo app (12.11 KB, application/x-compressed)
2009-02-13 16:02 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aldobrucale 2009-02-13 14:01:21 UTC
For a non-gui platform-based application, the only required modules are Bootstrap, File System API, Module System API,
Startup. In this scenario, the ModuleInstall.close() method is not called when the application exits. Even explicitly
calling LifecycleManager.getDefault().exit() yields no result, because the default LifecycleManager
(org.openide.LifecycleManager.Trivial) simply calls System.exit.

A module by Wade Chandler (http://hg.netbeans.org/platformx/file/4d85c8bd89b8/incubator/api.cli.lifecycle/) can be used
in a CLI application, but it would be nice if the platform itself could handle this issue (as an user expects). 

Please also read the following threads in openide-devel:

http://forums.netbeans.org/viewtopic.php?t=7844
http://forums.netbeans.org/topic7868.html
Comment 1 Jesse Glick 2009-02-13 16:02:32 UTC
Created attachment 76976 [details]
Demo app
Comment 2 Jesse Glick 2009-02-13 16:05:16 UTC
core-main #7596a2a201e4
Comment 3 Quality Engineering 2009-02-14 08:37:25 UTC
Integrated into 'main-golden', will be available in build *200902140319* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7596a2a201e4
User: Jesse Glick <jglick@netbeans.org>
Log: #158525: should be some LifecycleManager for platform apps.